CryptoException (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto

## Class CryptoException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.bouncycastle.crypto.CryptoException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    InvalidCipherTextException

      public class CryptoException
      extends java.lang.Exception

  the foundation class for the hard exceptions thrown by the crypto packages.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CryptoException()` base constructor.
    `CryptoException(java.lang.String message)` create a CryptoException with the given message.
    `CryptoException(java.lang.String message, java.lang.Throwable cause)` Create a CryptoException with the given message and underlying cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CryptoException

          public CryptoException()

      base constructor.

    - #### CryptoException

          public CryptoException(java.lang.String message)

      create a CryptoException with the given message.
      Parameters:
        `message` - the message to be carried with the exception.

    - #### CryptoException

          public CryptoException(java.lang.String message,
                                 java.lang.Throwable cause)

      Create a CryptoException with the given message and underlying cause.
      Parameters:
        `message` - message describing exception.
        `cause` - the throwable that was the underlying cause.

  - ### Method Detail

    - #### getCause

          public java.lang.Throwable getCause()

      Overrides:
        `getCause` in class `java.lang.Throwable`